> For the complete documentation index, see [llms.txt](https://kitehouse.co.uk/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://kitehouse.co.uk/docs/api-reference/sla-policies.md).

# SLA Policies

## GET /sla-policies/{siteId}

> List all SLA policies for a site.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/sla-policies/{siteId}":{"get":{"tags":["SLA Policies"],"description":"List all SLA policies for a site.","parameters":[{"schema":{"type":"string"},"in":"path","name":"siteId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## POST /sla-policies/{siteId}

> Create a new SLA policy.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/sla-policies/{siteId}":{"post":{"tags":["SLA Policies"],"description":"Create a new SLA policy.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["name","category_ids","targets"],"properties":{"name":{"type":"string"},"category_ids":{"type":"array","items":{"type":"string"}},"targets":{"type":"object","properties":{"first_response":{"type":"object","properties":{"hours":{"type":"number"},"minutes":{"type":"number"}},"required":["hours","minutes"]},"resolution":{"type":"object","properties":{"hours":{"type":"number"},"minutes":{"type":"number"}},"required":["hours","minutes"]},"escalation":{"type":"object","properties":{"hours":{"type":"number"},"minutes":{"type":"number"}},"required":["hours","minutes"]},"business_hours_only":{"type":"boolean"}}},"enabled":{"type":"boolean"}}}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"siteId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## PUT /sla-policies/{siteId}/{policyId}

> Update an SLA policy.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/sla-policies/{siteId}/{policyId}":{"put":{"tags":["SLA Policies"],"description":"Update an SLA policy.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"category_ids":{"type":"array","items":{"type":"string"}},"targets":{"type":"object","properties":{"first_response":{"type":"object","properties":{"hours":{"type":"number"},"minutes":{"type":"number"}},"required":["hours","minutes"]},"resolution":{"type":"object","properties":{"hours":{"type":"number"},"minutes":{"type":"number"}},"required":["hours","minutes"]},"escalation":{"type":"object","properties":{"hours":{"type":"number"},"minutes":{"type":"number"}},"required":["hours","minutes"]},"business_hours_only":{"type":"boolean"}}},"enabled":{"type":"boolean"}}}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"siteId","required":true},{"schema":{"type":"string"},"in":"path","name":"policyId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## DELETE /sla-policies/{siteId}/{policyId}

> Delete an SLA policy.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/sla-policies/{siteId}/{policyId}":{"delete":{"tags":["SLA Policies"],"description":"Delete an SLA policy.","parameters":[{"schema":{"type":"string"},"in":"path","name":"siteId","required":true},{"schema":{"type":"string"},"in":"path","name":"policyId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://kitehouse.co.uk/docs/api-reference/sla-policies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
